@echo off

echo ####### %0 #######

if EXIST settings.cmd (
  echo loading settings ...
  call settings.cmd
) else (
  echo WARNING: settings.cmd not found!
  echo setting defaults ...
  set windows_targetrelease=0
)

echo ++++++++++++++++++++++++++++++++++
echo windows_targetrelease=%windows_targetrelease%
echo ++++++++++++++++++++++++++++++++++
echo.

if %windows_targetrelease% == 0 (
  echo WARNING: windows target release NOT set!
) else (
  echo setting windows update target release ...
  reg add "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" ^
    /v TargetReleaseVersion /t REG_DWORD /d 1 /f 1>nul
  reg add "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" ^
    /v TargetReleaseVersionInfo /t REG_SZ /d %windows_targetrelease% /f 1>nul
)

echo ####### %0 #######

